org.apache.solr.util.hll

## Enum HLLType

- java.lang.Object
- - java.lang.Enum<HLLType>
  - - org.apache.solr.util.hll.HLLType

- All Implemented Interfaces:
    Serializable, Comparable<HLLType>

      public enum HLLType
      extends Enum<HLLType>

  The types of algorithm/data structure that `HLL` can utilize. For more information, see the Javadoc for `HLL`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EMPTY`
    `EXPLICIT`
    `FULL`
    `SPARSE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HLLType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HLLType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EMPTY

          public static final HLLType EMPTY

    - #### EXPLICIT

          public static final HLLType EXPLICIT

    - #### SPARSE

          public static final HLLType SPARSE

    - #### FULL

          public static final HLLType FULL

  - ### Method Detail

    - #### values

          public static HLLType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HLLType c : HLLType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HLLType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.